Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(67)

Issue 293403002: Introduce mock test system for navigator content utils (Closed)

Created:
5 years, 6 months ago by gyuyoung-inactive
Modified:
5 years, 6 months ago
Reviewers:
haraken
CC:
blink-reviews, gyuyoung.kim_webkit.org
Base URL:
https://chromium.googlesource.com/chromium/blink.git@master
Visibility:
Public.

Description

Introduce mock test system for navigator content utils This cl introduces setNavigatorContentUtilsClientMock() and NavigatorContentUtilsClientMock class in order to simulate registerProtocolHandler(), unregisterProtocolHandler(), and isProtocolHandlerRegistered(). Thus, navigator content utils can test if defined functions can work correctly. Besides this cl updates all navigator content util's tests so that the functions can work correctly. BUG=none Committed: https://src.chromium.org/viewvc/blink?view=rev&revision=175454

Patch Set 1 : #

Total comments: 2

Patch Set 2 : Fix license #

Total comments: 4

Patch Set 3 : #

Patch Set 4 : #

Unified diffs Side-by-side diffs Delta from patch set Stats (+322 lines, -105 lines) Patch
M LayoutTests/fast/dom/navigatorcontentutils/is-protocol-handler-registered.html View 1 2 chunks +16 lines, -5 lines 0 comments Download
M LayoutTests/fast/dom/navigatorcontentutils/is-protocol-handler-registered-expected.txt View 1 chunk +7 lines, -1 line 0 comments Download
M LayoutTests/fast/dom/navigatorcontentutils/register-protocol-handler.html View 1 7 chunks +36 lines, -16 lines 0 comments Download
M LayoutTests/fast/dom/navigatorcontentutils/register-protocol-handler-expected.txt View 1 chunk +41 lines, -31 lines 0 comments Download
M LayoutTests/fast/dom/navigatorcontentutils/unregister-protocol-handler.html View 1 7 chunks +44 lines, -16 lines 0 comments Download
M LayoutTests/fast/dom/navigatorcontentutils/unregister-protocol-handler-expected.txt View 1 chunk +42 lines, -31 lines 0 comments Download
M Source/modules/modules.gypi View 1 2 3 2 chunks +5 lines, -0 lines 0 comments Download
M Source/modules/navigatorcontentutils/NavigatorContentUtils.h View 2 chunks +2 lines, -1 line 0 comments Download
M Source/modules/navigatorcontentutils/NavigatorContentUtils.cpp View 1 1 chunk +1 line, -1 line 0 comments Download
A Source/modules/navigatorcontentutils/testing/InternalsNavigatorContentUtils.h View 1 2 1 chunk +21 lines, -0 lines 0 comments Download
A Source/modules/navigatorcontentutils/testing/InternalsNavigatorContentUtils.cpp View 1 1 chunk +22 lines, -0 lines 0 comments Download
A + Source/modules/navigatorcontentutils/testing/InternalsNavigatorContentUtils.idl View 1 1 chunk +2 lines, -3 lines 0 comments Download
A Source/modules/navigatorcontentutils/testing/NavigatorContentUtilsClientMock.h View 1 1 chunk +41 lines, -0 lines 0 comments Download
A Source/modules/navigatorcontentutils/testing/NavigatorContentUtilsClientMock.cpp View 1 2 3 1 chunk +42 lines, -0 lines 0 comments Download

Messages

Total messages: 15 (0 generated)
gyuyoung-inactive
Add Kentaro to reviewer. I would like to get review after finishing Issue 298273008. https://codereview.chromium.org/298273008/
5 years, 6 months ago (2014-05-29 12:56:02 UTC) #1
haraken
https://codereview.chromium.org/293403002/diff/20001/Source/modules/navigatorcontentutils/testing/InternalsNavigatorContentUtils.h File Source/modules/navigatorcontentutils/testing/InternalsNavigatorContentUtils.h (right): https://codereview.chromium.org/293403002/diff/20001/Source/modules/navigatorcontentutils/testing/InternalsNavigatorContentUtils.h#newcode29 Source/modules/navigatorcontentutils/testing/InternalsNavigatorContentUtils.h:29: */ Use the 4-line copyright. The same comment for ...
5 years, 6 months ago (2014-05-29 13:01:25 UTC) #2
gyuyoung-inactive
https://codereview.chromium.org/293403002/diff/20001/Source/modules/navigatorcontentutils/testing/InternalsNavigatorContentUtils.h File Source/modules/navigatorcontentutils/testing/InternalsNavigatorContentUtils.h (right): https://codereview.chromium.org/293403002/diff/20001/Source/modules/navigatorcontentutils/testing/InternalsNavigatorContentUtils.h#newcode29 Source/modules/navigatorcontentutils/testing/InternalsNavigatorContentUtils.h:29: */ On 2014/05/29 13:01:26, haraken wrote: > > Use ...
5 years, 6 months ago (2014-05-29 13:22:34 UTC) #3
gyuyoung-inactive
On 2014/05/29 13:22:34, gyuyoung wrote: > https://codereview.chromium.org/293403002/diff/20001/Source/modules/navigatorcontentutils/testing/InternalsNavigatorContentUtils.h > File > Source/modules/navigatorcontentutils/testing/InternalsNavigatorContentUtils.h > (right): > > ...
5 years, 6 months ago (2014-06-02 02:21:26 UTC) #4
haraken
Just help me understand: Why do you need to expose a Mock object instead of ...
5 years, 6 months ago (2014-06-02 03:43:29 UTC) #5
gyuyoung-inactive
https://codereview.chromium.org/293403002/diff/40001/Source/modules/navigatorcontentutils/testing/InternalsNavigatorContentUtils.h File Source/modules/navigatorcontentutils/testing/InternalsNavigatorContentUtils.h (right): https://codereview.chromium.org/293403002/diff/40001/Source/modules/navigatorcontentutils/testing/InternalsNavigatorContentUtils.h#newcode8 Source/modules/navigatorcontentutils/testing/InternalsNavigatorContentUtils.h:8: #include "wtf/text/WTFString.h" On 2014/06/02 03:43:29, haraken wrote: > > ...
5 years, 6 months ago (2014-06-02 05:14:37 UTC) #6
haraken
Sorry about the delay. Chatted in IRC and I understand it's worth creating a mock ...
5 years, 6 months ago (2014-06-04 03:40:01 UTC) #7
gyuyoung-inactive
The CQ bit was checked by gyuyoung.kim@samsung.com
5 years, 6 months ago (2014-06-04 03:42:19 UTC) #8
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/gyuyoung.kim@samsung.com/293403002/80001
5 years, 6 months ago (2014-06-04 03:42:57 UTC) #9
commit-bot: I haz the power
FYI, CQ is re-trying this CL (attempt #1). The failing builders are: blink_presubmit on tryserver.blink ...
5 years, 6 months ago (2014-06-04 04:57:32 UTC) #10
commit-bot: I haz the power
The CQ bit was unchecked by commit-bot@chromium.org
5 years, 6 months ago (2014-06-04 04:57:58 UTC) #11
commit-bot: I haz the power
Try jobs failed on following builders: linux_gpu_triggered_tests on tryserver.chromium.gpu (http://build.chromium.org/p/tryserver.chromium.gpu/builders/linux_gpu_triggered_tests/builds/20593)
5 years, 6 months ago (2014-06-04 04:57:59 UTC) #12
gyuyoung-inactive
The CQ bit was checked by gyuyoung.kim@samsung.com
5 years, 6 months ago (2014-06-04 07:00:55 UTC) #13
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/gyuyoung.kim@samsung.com/293403002/80001
5 years, 6 months ago (2014-06-04 07:01:16 UTC) #14
commit-bot: I haz the power
5 years, 6 months ago (2014-06-04 08:31:36 UTC) #15
Message was sent while issue was closed.
Change committed as 175454

Powered by Google App Engine
This is Rietveld 408576698